# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "commandline"
  s.version = "0.7.10"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Jim Freeze"]
  s.autorequire = "commandline"
  s.cert_chain = nil
  s.date = "2005-11-06"
  s.email = "commandline@freeze.org"
  s.extra_rdoc_files = ["README", "LICENSE", "CHANGELOG", "TODO"]
  s.files = ["docs/index.html", "docs/posted-docs.index.html", "docs/tmp", "docs/tmp/app1.rb", "docs/tmp/app1b.rb", "docs/tmp/app2.rb", "docs/tmp/app_exit.rb", "docs/tmp/app_file.rb", "docs/tmp/app_flag.rb", "docs/tmp/app_replay.rb", "lib/commandline", "lib/commandline.rb", "lib/open4.rb", "lib/test", "lib/commandline/application", "lib/commandline/application.rb", "lib/commandline/kernel.rb", "lib/commandline/optionparser", "lib/commandline/optionparser.rb", "lib/commandline/utils.rb", "lib/commandline/optionparser/option.rb", "lib/commandline/optionparser/optiondata.rb", "lib/commandline/optionparser/optionparser.rb", "lib/test/unit", "lib/test/unit/systemtest.rb", "CHANGELOG", "README", "LICENSE", "TODO"]
  s.homepage = "http://rubyforge.org/projects/optionparser/"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0")
  s.rubygems_version = "1.8.23"
  s.summary = "Tools to facilitate creation of command line applications and flexible parsing of command line options."

  if s.respond_to? :specification_version then
    s.specification_version = 1

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<text-format>, ["= 1.0.0"])
    else
      s.add_dependency(%q<text-format>, ["= 1.0.0"])
    end
  else
    s.add_dependency(%q<text-format>, ["= 1.0.0"])
  end
end
